diff --git a/web/pgadmin/browser/register_browser_preferences.py b/web/pgadmin/browser/register_browser_preferences.py
index 169f506ba..86eae07b1 100644
--- a/web/pgadmin/browser/register_browser_preferences.py
+++ b/web/pgadmin/browser/register_browser_preferences.py
@@ -130,6 +130,16 @@ def register_browser_preferences(self):
         )
     )
 
+    self.table_row_count_threshold = self.preference.register(
+        'processes', 'process_retain_days',
+        gettext("Process details/logs retention days"), 'integer', 5,
+        category_label=gettext('Processes'),
+        help_str=gettext(
+            'After this many days, the process info and logs '
+            'will be automatically cleared.'
+        )
+    )
+
     fields = [
         {'name': 'key', 'type': 'keyCode', 'label': gettext('Key')},
         {'name': 'shift', 'type': 'checkbox', 'label': gettext('Shift')},
diff --git a/web/pgadmin/browser/server_groups/servers/databases/schemas/views/__init__.py b/web/pgadmin/browser/server_groups/servers/databases/schemas/views/__init__.py
index 7fd1a660b..7bb2ee411 100644
--- a/web/pgadmin/browser/server_groups/servers/databases/schemas/views/__init__.py
+++ b/web/pgadmin/browser/server_groups/servers/databases/schemas/views/__init__.py
@@ -29,7 +29,7 @@ from pgadmin.utils.ajax import make_json_response, internal_server_error, \
 from pgadmin.utils.driver import get_driver
 from pgadmin.tools.schema_diff.node_registry import SchemaDiffRegistry
 from pgadmin.tools.schema_diff.compare import SchemaDiffObjectCompare
-from pgadmin.utils import html, does_utility_exist
+from pgadmin.utils import html, does_utility_exist, get_server
 from pgadmin.model import Server
 from pgadmin.misc.bgprocess.processes import BatchProcess, IProcessDesc
 
@@ -158,23 +158,7 @@ class Message(IProcessDesc):
 
     @property
     def message(self):
-        res = gettext("Refresh Materialized View")
-        opts = []
-        if not self.data['is_with_data']:
-            opts.append(gettext("With no data"))
-        else:
-            opts.append(gettext("With data"))
-        if self.data['is_concurrent']:
-            opts.append(gettext("Concurrently"))
-
-        return res + " ({0})".format(', '.join(str(x) for x in opts))
-
-    @property
-    def type_desc(self):
-        return gettext("Refresh Materialized View")
-
-    def details(self, cmd, args):
-        res = gettext("Refresh Materialized View ({0})")
+        msg = gettext("Refresh Materialized View ({0})")
         opts = []
         if not self.data['is_with_data']:
             opts.append(gettext("WITH NO DATA"))
@@ -184,17 +168,30 @@ class Message(IProcessDesc):
         if self.data['is_concurrent']:
             opts.append(gettext("CONCURRENTLY"))
 
-        res = res.format(', '.join(str(x) for x in opts))
+        msg = msg.format(', '.join(str(x) for x in opts))
+        return msg
+
+    @property
+    def type_desc(self):
+        return gettext("Refresh Materialized View")
 
-        res = '<div>' + html.safe_str(res)
+    def get_server_name(self):
+        # Fetch the server details like hostname, port, roles etc
+        s = get_server(self.sid)
 
-        res += '</div><div class="py-1">'
-        res += gettext("Running Query:")
-        res += '<div class="pg-bg-cmd enable-selection p-1">'
-        res += html.safe_str(self.query)
-        res += '</div></div>'
+        if s is None:
+            return gettext("Not available")
+        return html.safe_str("{0} ({1}:{2})".format(s.name, s.host, s.port))
 
-        return res
+    def details(self, cmd, args):
+        return {
+            "message": self.message,
+            "query": self.query,
+            "server": self.get_server_name(),
+            "object": "{0}/{1}".format(
+                self.data['database'], self.data.get('object', 'Unknown')),
+            "type": gettext("Refresh MView")
+        }
 
 
 class MViewModule(ViewModule):
@@ -2193,6 +2190,8 @@ class MViewNode(ViewNode, VacuumSettings):
                 is_concurrent=is_concurrent,
                 with_data=with_data
             )
+            data['object'] = "{0}.{1}".format(res['rows'][0]['schema'],
+                                              res['rows'][0]['name'])
 
             # Fetch the server details like hostname, port, roles etc
             server = Server.query.filter_by(
@@ -2273,6 +2272,7 @@ class MViewNode(ViewNode, VacuumSettings):
             return make_json_response(
                 data={
                     'job_id': jid,
+                    'desc': p.desc.message,
                     'status': True,
                     'info': gettext(
                         'Materialized view refresh job created.')
diff --git a/web/pgadmin/browser/server_groups/servers/databases/schemas/views/static/js/mview.js b/web/pgadmin/browser/server_groups/servers/databases/schemas/views/static/js/mview.js
index b9a86008d..b598d58b0 100644
--- a/web/pgadmin/browser/server_groups/servers/databases/schemas/views/static/js/mview.js
+++ b/web/pgadmin/browser/server_groups/servers/databases/schemas/views/static/js/mview.js
@@ -203,9 +203,8 @@ define('pgadmin.node.mview', [
           })
             .done(function(refreshed_res) {
               if (refreshed_res.data && refreshed_res.data.status) {
-              //Do nothing as we are creating the job and exiting from the main dialog
-                Notify.success(refreshed_res.data.info);
-                pgBrowser.Events.trigger('pgadmin-bgprocess:created');
+                //Do nothing as we are creating the job and exiting from the main dialog
+                pgBrowser.BgProcessManager.startProcess(refreshed_res.data.job_id, refreshed_res.data.desc);
               } else {
                 Notify.alert(
                   gettext('Failed to create materialized view refresh job.'),
diff --git a/web/pgadmin/browser/server_groups/servers/databases/static/js/database.js b/web/pgadmin/browser/server_groups/servers/databases/static/js/database.js
index f405c170d..0cb80fe18 100644
--- a/web/pgadmin/browser/server_groups/servers/databases/static/js/database.js
+++ b/web/pgadmin/browser/server_groups/servers/databases/static/js/database.js
@@ -240,7 +240,7 @@ define('pgadmin.node.database', [
                       if(res.data.info_prefix) {
                         res.info = `${_.escape(res.data.info_prefix)} - ${res.info}`;
                       }
-                      Notify.success(_.unescape(res.info));
+                      Notify.success(res.info);
                       t.removeIcon(i);
                       data.connected = false;
                       data.icon = data.isTemplate ? 'icon-database-template-not-connected':'icon-database-not-connected';
@@ -437,7 +437,7 @@ define('pgadmin.node.database', [
                 res.info = gettext('Database already connected.');
               }
               if(res.data.info_prefix) {
-                res.info = `${res.data.info_prefix} - ${res.info}`;
+                res.info = `${_.escape(res.data.info_prefix)} - ${res.info}`;
               }
               if(res.data.already_connected) {
                 Notify.info(res.info);
diff --git a/web/pgadmin/browser/server_groups/servers/static/js/server.js b/web/pgadmin/browser/server_groups/servers/static/js/server.js
index 21ad46732..f733d26a5 100644
--- a/web/pgadmin/browser/server_groups/servers/static/js/server.js
+++ b/web/pgadmin/browser/server_groups/servers/static/js/server.js
@@ -629,7 +629,7 @@ define('pgadmin.node.server', [
 
     var connect_to_server = function(obj, data, tree, item, reconnect) {
     // Open properties dialog in edit mode
-      var server_url = obj.generate_url(item, 'obj', data, true);
+      let server_url = obj.generate_url(item, 'obj', data, true);
       // Fetch the updated data
       $.get(server_url)
         .done(function(res) {
@@ -651,20 +651,7 @@ define('pgadmin.node.server', [
             }
           }
           else if (res.cloud_status == -1) {
-            $.ajax({
-              type: 'GET',
-              timeout: 30000,
-              url: url_for('cloud.update_cloud_process', {'sid': res.id}),
-              cache: false,
-              async: true,
-              contentType: 'application/json',
-            })
-              .done(function() {
-                pgAdmin.Browser.BackgroundProcessObsorver.update_process_list();
-              })
-              .fail(function() {
-                console.warn(arguments);
-              });
+            pgAdmin.Browser.BgProcessManager.recheckCloudServer(data._id);
           }
           return;
         }).always(function(){
diff --git a/web/pgadmin/browser/static/js/browser.js b/web/pgadmin/browser/static/js/browser.js
index 4ab8b1b00..3c4207f2a 100644
--- a/web/pgadmin/browser/static/js/browser.js
+++ b/web/pgadmin/browser/static/js/browser.js
@@ -266,6 +266,19 @@ define('pgadmin.browser', [
         content: '<div class="negative-space p-2"><div role="status" class="pg-panel-message pg-panel-depends-message">' + select_object_msg + '</div><div class="pg-panel-dependents-container d-none"></div></div>',
         events: panelEvents,
       }),
+      // Background processes
+      'processes': new pgAdmin.Browser.Panel({
+        name: 'processes',
+        title: gettext('Processes'),
+        icon: '',
+        width: 500,
+        isCloseable: true,
+        isPrivate: false,
+        limit: 1,
+        canHide: true,
+        content: '<div class="negative-space p-2"><div class="pg-panel-processes-container d-none"></div></div>',
+        events: panelEvents,
+      }),
     },
     // We also support showing dashboards, HTML file, external URL
     frames: {},
diff --git a/web/pgadmin/browser/static/js/layout.js b/web/pgadmin/browser/static/js/layout.js
index 689028f3d..fff14e7ba 100644
--- a/web/pgadmin/browser/static/js/layout.js
+++ b/web/pgadmin/browser/static/js/layout.js
@@ -42,6 +42,8 @@ _.extend(pgBrowser, {
       'dependencies', wcDocker.DOCK.STACKED, dashboardPanel);
     docker.addPanel(
       'dependents', wcDocker.DOCK.STACKED, dashboardPanel);
+    docker.addPanel(
+      'processes', wcDocker.DOCK.STACKED, dashboardPanel);
   },
 
   save_current_layout: function(layout_id, docker) {
diff --git a/web/pgadmin/browser/static/js/panel.js b/web/pgadmin/browser/static/js/panel.js
index 8f1d1b7ab..8f49a6745 100644
--- a/web/pgadmin/browser/static/js/panel.js
+++ b/web/pgadmin/browser/static/js/panel.js
@@ -122,7 +122,7 @@ define(
                 that.resizedContainer.apply(myPanel);
               }
 
-              if (myPanel._type == 'dashboard') {
+              if (myPanel._type == 'dashboard' || myPanel._type == 'processes') {
                 getPanelView(
                   pgBrowser.tree,
                   $container[0],
@@ -263,8 +263,8 @@ define(
           .scene()
           .find('.pg-panel-content');
 
-        if (isPanelVisible && selectedPanel._type !== 'properties') {
-          if (eventName == 'panelVisibilityChanged' && selectedPanel._type !== 'properties') {
+        if (isPanelVisible && ['dashboard', 'statistics', 'dependencies', 'dependents', 'sql', 'processes'].includes(selectedPanel._type) ) {
+          if (eventName == 'panelVisibilityChanged') {
             getPanelView(
               pgBrowser.tree,
               $container[0],
diff --git a/web/pgadmin/browser/static/js/panel_view.jsx b/web/pgadmin/browser/static/js/panel_view.jsx
index 8302af60a..c1274b840 100644
--- a/web/pgadmin/browser/static/js/panel_view.jsx
+++ b/web/pgadmin/browser/static/js/panel_view.jsx
@@ -17,6 +17,7 @@ import SQL from '../../../misc/sql/static/js/SQL';
 import Dashboard from '../../../dashboard/static/js/Dashboard';
 import _ from 'lodash';
 import { CollectionNodeView } from '../../../misc/properties/CollectionNodeProperties';
+import Processes from '../../../misc/bgprocess/static/js/Processes';
 
 
 /* The entry point for rendering React based view in properties, called in node.js */
@@ -131,6 +132,14 @@ export function getPanelView(
       container
     );
   }
+  if (panelType == 'processes') {
+    ReactDOM.render(
+      <Theme>
+        <Processes />
+      </Theme>,
+      container
+    );
+  }
 }
 
 /* When switching from normal node to collection node, clean up the React mounted DOM */
diff --git a/web/pgadmin/dashboard/static/js/Dashboard.jsx b/web/pgadmin/dashboard/static/js/Dashboard.jsx
index 31f6cd0e0..c8f5b0f04 100644
--- a/web/pgadmin/dashboard/static/js/Dashboard.jsx
+++ b/web/pgadmin/dashboard/static/js/Dashboard.jsx
@@ -143,7 +143,7 @@ export default function Dashboard({
     {
       accessor: 'name',
       Header: gettext('Name'),
-      sortble: true,
+      sortable: true,
       resizable: true,
       disableGlobalFilter: false,
       minWidth: 50,
@@ -153,7 +153,7 @@ export default function Dashboard({
     {
       accessor: 'category',
       Header: gettext('Category'),
-      sortble: true,
+      sortable: true,
       resizable: true,
       disableGlobalFilter: false,
       minWidth: 50,
@@ -161,7 +161,7 @@ export default function Dashboard({
     {
       accessor: 'setting',
       Header: gettext('Value'),
-      sortble: true,
+      sortable: true,
       resizable: true,
       disableGlobalFilter: false,
       minWidth: 50,
@@ -170,7 +170,7 @@ export default function Dashboard({
     {
       accessor: 'unit',
       Header: gettext('Unit'),
-      sortble: true,
+      sortable: true,
       resizable: true,
       disableGlobalFilter: false,
       minWidth: 26,
@@ -179,7 +179,7 @@ export default function Dashboard({
     {
       accessor: 'short_desc',
       Header: gettext('Description'),
-      sortble: true,
+      sortable: true,
       resizable: true,
       disableGlobalFilter: false,
     },
@@ -189,7 +189,7 @@ export default function Dashboard({
     {
       accessor: 'terminate_query',
       Header: () => null,
-      sortble: true,
+      sortable: true,
       resizable: false,
       disableGlobalFilter: false,
       width: 35,
@@ -261,7 +261,7 @@ export default function Dashboard({
     {
       accessor: 'cancel_Query',
       Header: () => null,
-      sortble: true,
+      sortable: true,
       resizable: false,
       disableGlobalFilter: false,
       width: 35,
@@ -330,7 +330,7 @@ export default function Dashboard({
     {
       accessor: 'view_active_query',
       Header: () => null,
-      sortble: true,
+      sortable: true,
       resizable: false,
       disableGlobalFilter: false,
       width: 35,
@@ -374,7 +374,7 @@ export default function Dashboard({
     {
       accessor: 'pid',
       Header: gettext('PID'),
-      sortble: true,
+      sortable: true,
       resizable: true,
       disableGlobalFilter: false,
       minWidth: 26,
@@ -383,7 +383,7 @@ export default function Dashboard({
     {
       accessor: 'datname',
       Header: gettext('Database'),
-      sortble: true,
+      sortable: true,
       resizable: true,
       disableGlobalFilter: false,
       minWidth: 26,
@@ -393,7 +393,7 @@ export default function Dashboard({
     {
       accessor: 'usename',
       Header: gettext('User'),
-      sortble: true,
+      sortable: true,
       resizable: true,
       disableGlobalFilter: false,
       minWidth: 26,
@@ -402,7 +402,7 @@ export default function Dashboard({
     {
       accessor: 'application_name',
       Header: gettext('Application'),
-      sortble: true,
+      sortable: true,
       resizable: true,
       disableGlobalFilter: false,
       minWidth: 26,
@@ -410,7 +410,7 @@ export default function Dashboard({
     {
       accessor: 'client_addr',
       Header: gettext('Client'),
-      sortble: true,
+      sortable: true,
       resizable: true,
       disableGlobalFilter: false,
       minWidth: 26,
@@ -418,7 +418,7 @@ export default function Dashboard({
     {
       accessor: 'backend_start',
       Header: gettext('Backend start'),
-      sortble: true,
+      sortable: true,
       resizable: true,
       disableGlobalFilter: false,
       minWidth: 100,
@@ -426,7 +426,7 @@ export default function Dashboard({
     {
       accessor: 'xact_start',
       Header: gettext('Transaction start'),
-      sortble: true,
+      sortable: true,
       resizable: true,
       disableGlobalFilter: false,
       minWidth: 26,
@@ -434,7 +434,7 @@ export default function Dashboard({
     {
       accessor: 'state',
       Header: gettext('State'),
-      sortble: true,
+      sortable: true,
       resizable: true,
       disableGlobalFilter: false,
       minWidth: 26,
@@ -444,7 +444,7 @@ export default function Dashboard({
     {
       accessor: 'waiting',
       Header: gettext('Waiting'),
-      sortble: true,
+      sortable: true,
       resizable: true,
       disableGlobalFilter: false,
       isVisible: treeNodeInfo?.server?.version < 90600
@@ -452,14 +452,14 @@ export default function Dashboard({
     {
       accessor: 'wait_event',
       Header: gettext('Wait event'),
-      sortble: true,
+      sortable: true,
       resizable: true,
       disableGlobalFilter: false,
     },
     {
       accessor: 'blocking_pids',
       Header: gettext('Blocking PIDs'),
-      sortble: true,
+      sortable: true,
       resizable: true,
       disableGlobalFilter: false,
     },
@@ -469,7 +469,7 @@ export default function Dashboard({
     {
       accessor: 'pid',
       Header: gettext('PID'),
-      sortble: true,
+      sortable: true,
       resizable: true,
       disableGlobalFilter: false,
       minWidth: 26,
@@ -478,7 +478,7 @@ export default function Dashboard({
     {
       accessor: 'datname',
       Header: gettext('Database'),
-      sortble: true,
+      sortable: true,
       resizable: true,
       disableGlobalFilter: false,
       minWidth: 26,
@@ -488,7 +488,7 @@ export default function Dashboard({
     {
       accessor: 'locktype',
       Header: gettext('Lock type'),
-      sortble: true,
+      sortable: true,
       resizable: true,
       disableGlobalFilter: false,
       minWidth: 26,
@@ -497,14 +497,14 @@ export default function Dashboard({
     {
       accessor: 'relation',
       Header: gettext('Target relation'),
-      sortble: true,
+      sortable: true,
       resizable: true,
       disableGlobalFilter: false,
     },
     {
       accessor: 'page',
       Header: gettext('Page'),
-      sortble: true,
+      sortable: true,
       resizable: true,
       disableGlobalFilter: false,
       minWidth: 26,
@@ -513,7 +513,7 @@ export default function Dashboard({
     {
       accessor: 'tuple',
       Header: gettext('Tuple'),
-      sortble: true,
+      sortable: true,
       resizable: true,
       disableGlobalFilter: false,
       minWidth: 26,
@@ -521,7 +521,7 @@ export default function Dashboard({
     {
       accessor: 'virtualxid',
       Header: gettext('vXID (target)'),
-      sortble: true,
+      sortable: true,
       resizable: true,
       disableGlobalFilter: false,
       minWidth: 50,
@@ -530,7 +530,7 @@ export default function Dashboard({
     {
       accessor: 'transactionid',
       Header: gettext('XID (target)'),
-      sortble: true,
+      sortable: true,
       resizable: true,
       disableGlobalFilter: false,
       minWidth: 50,
@@ -539,7 +539,7 @@ export default function Dashboard({
     {
       accessor: 'classid',
       Header: gettext('Class'),
-      sortble: true,
+      sortable: true,
       resizable: true,
       disableGlobalFilter: false,
       minWidth: 26,
@@ -548,7 +548,7 @@ export default function Dashboard({
     {
       accessor: 'objid',
       Header: gettext('Object ID'),
-      sortble: true,
+      sortable: true,
       resizable: true,
       disableGlobalFilter: false,
       minWidth: 50,
@@ -558,7 +558,7 @@ export default function Dashboard({
     {
       accessor: 'virtualtransaction',
       Header: gettext('vXID (owner)'),
-      sortble: true,
+      sortable: true,
       resizable: true,
       disableGlobalFilter: false,
       minWidth: 50,
@@ -566,7 +566,7 @@ export default function Dashboard({
     {
       accessor: 'mode',
       Header: gettext('Mode'),
-      sortble: true,
+      sortable: true,
       resizable: true,
       disableGlobalFilter: false,
     },
@@ -574,7 +574,7 @@ export default function Dashboard({
       id: 'granted',
       accessor: 'granted',
       Header: gettext('Granted?'),
-      sortble: true,
+      sortable: true,
       resizable: true,
       disableGlobalFilter: false,
       minWidth: 30,
@@ -587,14 +587,14 @@ export default function Dashboard({
     {
       accessor: 'git',
       Header: gettext('Name'),
-      sortble: true,
+      sortable: true,
       resizable: true,
       disableGlobalFilter: false,
     },
     {
       accessor: 'datname',
       Header: gettext('Database'),
-      sortble: true,
+      sortable: true,
       resizable: true,
       disableGlobalFilter: false,
       minWidth: 26,
@@ -604,21 +604,21 @@ export default function Dashboard({
     {
       accessor: 'Owner',
       Header: gettext('Owner'),
-      sortble: true,
+      sortable: true,
       resizable: true,
       disableGlobalFilter: false,
     },
     {
       accessor: 'transaction',
       Header: gettext('XID'),
-      sortble: true,
+      sortable: true,
       resizable: true,
       disableGlobalFilter: false,
     },
     {
       accessor: 'prepared',
       Header: gettext('Prepared at'),
-      sortble: true,
+      sortable: true,
       resizable: true,
       disableGlobalFilter: false,
     },
diff --git a/web/pgadmin/feature_tests/pg_utilities_backup_restore_test.py b/web/pgadmin/feature_tests/pg_utilities_backup_restore_test.py
index 474645940..75800e277 100644
--- a/web/pgadmin/feature_tests/pg_utilities_backup_restore_test.py
+++ b/web/pgadmin/feature_tests/pg_utilities_backup_restore_test.py
@@ -61,7 +61,6 @@ class PGUtilitiesBackupFeatureTest(BaseFeatureTest):
         if not db_id:
             self.assertTrue(False, "Database {} is not "
                                    "created".format(self.database_name))
-        test_gui_helper.close_bgprocess_popup(self)
         self.page.add_server(self.server)
 
         self.wait = WebDriverWait(self.page.driver, 20)
@@ -74,36 +73,23 @@ class PGUtilitiesBackupFeatureTest(BaseFeatureTest):
         # Backup
         self.initiate_backup()
 
-        # Wait for the backup status alertfier
-        self.wait.until(EC.visibility_of_element_located(
-            (By.CSS_SELECTOR,
-             NavMenuLocators.bcg_process_status_alertifier_css)))
-
-        status = test_utils.get_watcher_dialogue_status(self)
-
-        self.page.retry_click(
-            (By.CSS_SELECTOR,
-             NavMenuLocators.status_alertifier_more_btn_css),
-            (By.XPATH,
-             NavMenuLocators.process_watcher_alertfier))
-        self.page.wait_for_element_to_disappear(
-            lambda driver: driver.find_element(
-                By.CSS_SELECTOR, ".loading-logs"), 15)
-
-        expected_backup_success_msg = "Successfully completed."
-        self.assertEqual(status, expected_backup_success_msg)
+        test_gui_helper.wait_for_process_start(self)
+        test_gui_helper.open_process_details(self)
 
         backup_file = None
         # Check for XSS in Backup details
         if self.is_xss_check:
             self._check_detailed_window_for_xss('Backup')
         else:
+            message = self.page.find_by_css_selector(
+                NavMenuLocators.process_watcher_detailed_message_css). \
+                text
             command = self.page.find_by_css_selector(
-                NavMenuLocators.process_watcher_detailed_command_canvas_css). \
+                NavMenuLocators.process_watcher_detailed_command_css). \
                 text
 
-            self.assertIn(self.server['name'], str(command))
-            self.assertIn("from database 'pg_utility_test_db'", str(command))
+            self.assertIn(self.server['name'], str(message))
+            self.assertIn("from database 'pg_utility_test_db'", str(message))
 
             # On windows a modified path may be shown so skip this test
             if os.name != 'nt':
@@ -120,32 +106,21 @@ class PGUtilitiesBackupFeatureTest(BaseFeatureTest):
         # Restore
         self.initiate_restore()
 
-        # Wait for the backup status alertfier
-        self.wait.until(EC.visibility_of_element_located(
-            (By.CSS_SELECTOR,
-             NavMenuLocators.bcg_process_status_alertifier_css)))
-
-        status = test_utils.get_watcher_dialogue_status(self)
-
-        self.page.retry_click(
-            (By.CSS_SELECTOR,
-             NavMenuLocators.status_alertifier_more_btn_css),
-            (By.XPATH,
-             NavMenuLocators.process_watcher_alertfier))
-        self.page.wait_for_element_to_disappear(
-            lambda driver: driver.find_element(
-                By.CSS_SELECTOR, ".loading-logs"), 10)
-        self.assertEqual(status, expected_backup_success_msg)
+        test_gui_helper.wait_for_process_start(self)
+        test_gui_helper.open_process_details(self)
 
         # Check for XSS in Restore details
         if self.is_xss_check:
             self._check_detailed_window_for_xss('Restore')
         else:
+            message = self.page.find_by_css_selector(
+                NavMenuLocators.process_watcher_detailed_message_css). \
+                text
             command = self.page.find_by_css_selector(
-                NavMenuLocators.process_watcher_detailed_command_canvas_css). \
+                NavMenuLocators.process_watcher_detailed_command_css). \
                 text
 
-            self.assertIn(self.server['name'], str(command))
+            self.assertIn(self.server['name'], str(message))
             if os.name != 'nt':
                 self.assertIn("test_backup", str(command))
 
@@ -158,8 +133,6 @@ class PGUtilitiesBackupFeatureTest(BaseFeatureTest):
 
     def after(self):
         try:
-            test_gui_helper.close_process_watcher(self)
-            test_gui_helper.close_bgprocess_popup(self)
             self.page.remove_server(self.server)
         except Exception:
             print("PGUtilitiesBackupFeatureTest - "
@@ -177,7 +150,7 @@ class PGUtilitiesBackupFeatureTest(BaseFeatureTest):
 
     def _check_detailed_window_for_xss(self, tool_name):
         source_code = self.page.find_by_css_selector(
-            NavMenuLocators.process_watcher_detailed_command_canvas_css
+            NavMenuLocators.process_watcher_detailed_command_css
         ).get_attribute('innerHTML')
         self._check_escaped_characters(
             source_code,
diff --git a/web/pgadmin/feature_tests/pg_utilities_maintenance_test.py b/web/pgadmin/feature_tests/pg_utilities_maintenance_test.py
index 6f40fbc8a..ec3afa50d 100644
--- a/web/pgadmin/feature_tests/pg_utilities_maintenance_test.py
+++ b/web/pgadmin/feature_tests/pg_utilities_maintenance_test.py
@@ -9,6 +9,7 @@
 
 import random
 import os
+import time
 
 from selenium.webdriver.support.ui import WebDriverWait
 from selenium.webdriver.support import expected_conditions as EC
@@ -73,7 +74,6 @@ class PGUtilitiesMaintenanceFeatureTest(BaseFeatureTest):
         test_utils.create_database(self.server, self.database_name)
         test_utils.create_table(self.server, self.database_name,
                                 self.table_name)
-        test_gui_helper.close_bgprocess_popup(self)
         self.page.add_server(self.server)
         self.wait = WebDriverWait(self.page.driver, 20)
 
@@ -84,10 +84,8 @@ class PGUtilitiesMaintenanceFeatureTest(BaseFeatureTest):
             lambda driver: driver.find_element(
                 By.XPATH, NavMenuLocators.maintenance_operation), 10)
 
-        # Wait for the backup status alertfier
-        self.wait.until(EC.visibility_of_element_located(
-            (By.CSS_SELECTOR,
-             NavMenuLocators.bcg_process_status_alertifier_css)))
+        # Wait for the backup started alert
+        test_gui_helper.wait_for_process_start()
         self.verify_command()
 
     def _open_maintenance_dialogue(self):
@@ -122,35 +120,24 @@ class PGUtilitiesMaintenanceFeatureTest(BaseFeatureTest):
             NavMenuLocators.maintenance_operation, 10)
 
     def verify_command(self):
-        status = test_utils.get_watcher_dialogue_status(self)
-        self.page.retry_click(
-            (By.CSS_SELECTOR,
-             NavMenuLocators.status_alertifier_more_btn_css),
-            (By.XPATH,
-             NavMenuLocators.process_watcher_alertfier))
-        self.page.wait_for_element_to_disappear(
-            lambda driver: driver.find_element(
-                By.CSS_SELECTOR, ".loading-logs"))
-
-        if status != "Successfully completed.":
-            self.assertEqual(status, "Successfully completed.")
+        test_gui_helper.open_process_details()
 
+        message = self.page.find_by_css_selector(
+            NavMenuLocators.process_watcher_detailed_message_css).text
         command = self.page.find_by_css_selector(
-            NavMenuLocators.
-            process_watcher_detailed_command_canvas_css).text
+            NavMenuLocators.process_watcher_detailed_command_css).text
 
         vacuum_details = \
             "VACUUM (VERBOSE) on database '{0}' of server " \
             "{1} ({2}:{3})".format(self.database_name, self.server['name'],
                                    self.server['host'], self.server['port'])
         if self.test_level == 'database':
-            self.assertEqual(
-                command, vacuum_details + "\nRunning Query:\nVACUUM VERBOSE;")
+            self.assertEqual(message, vacuum_details)
+            self.assertEqual(command, "VACUUM VERBOSE;")
         elif self.is_xss_check and self.test_level == 'table':
             # Check for XSS in the dialog
             source_code = self.page.find_by_css_selector(
-                NavMenuLocators.
-                process_watcher_detailed_command_canvas_css
+                NavMenuLocators.process_watcher_detailed_command_css
             ).get_attribute('innerHTML')
             self.check_escaped_characters(
                 source_code,
@@ -158,15 +145,14 @@ class PGUtilitiesMaintenanceFeatureTest(BaseFeatureTest):
                 'Maintenance detailed window'
             )
         else:
-            self.assertEqual(
-                command, vacuum_details + "\nRunning Query:\nVACUUM VERBOSE"
-                                          " public." + self.table_name + ";")
+            self.assertEqual(message, vacuum_details)
+            self.assertEqual(command, "VACUUM VERBOSE"
+                                      " public." + self.table_name + ";")
 
         test_gui_helper.close_process_watcher(self)
 
     def after(self):
         try:
-            test_gui_helper.close_bgprocess_popup(self)
             test_utils.delete_table(self.server, self.database_name,
                                     self.table_name)
             self.page.remove_server(self.server)
